- NAME
- SYNOPSIS
- DESCRIPTION
- RETURN VALUES
- SEE ALSO
- HISTORY
- COPYRIGHT

# NAME

RSA_size, RSA_bits, RSA_security_bits - get RSA modulus size or security bits

# SYNOPSIS

     #include <openssl/rsa.h>

     int RSA_size(const RSA *rsa);

     int RSA_bits(const RSA *rsa);

     int RSA_security_bits(const RSA *rsa)

# DESCRIPTION

RSA_size() returns the RSA modulus size in bytes. It can be used to determine how much memory must be allocated for an RSA encrypted value.

RSA_bits() returns the number of significant bits.

rsa and rsa->n must not be NULL.

RSA_security_bits() returns the number of security bits of the given rsa key. See BN_security_bits(3).

# RETURN VALUES

RSA_size() returns the size of modulus in bytes.

DSA_bits() returns the number of bits in the key.

RSA_security_bits() returns the number of security bits.

# SEE ALSO

BN_num_bits(3)

# HISTORY

The RSA_bits() function was added in OpenSSL 1.1.0.

# COPYRIGHT

Copyright 2000-2018 The OpenSSL Project Authors. All Rights Reserved.

Licensed under the OpenSSL license (the "License"). You may not use this file except in compliance with the License. You can obtain a copy in the file LICENSE in the source distribution or at https://www.openssl.org/source/license.html.